## python-libcommon 1.0.4-2

=== Makefile ===
include rules/make.rules

NAME=libcommonPython

all :
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for $@" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} $@ ) ; \
	done

install : all
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for $@" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} $@ ) ; \
	done

clean :
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for $@" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} $@ ) ; \
	done
	@rm -f *~;

docs :
	@echo "doing $@"	
	@for i in ${NAMES} ; do \
	(echo "Entering $$i for doc" ; cd $$i ; ${MAKE} NAME=$$i DESTDIR=${DESTDIR} doc ) ; \
	done

edit :
	@xemacs Makefile rules/make.rules ${NAMES:%=%/Makefile} &

cvs-clean:
	@find . -name CVS -type d -exec rm -rf {} \;

deb:
	dpkg-buildpackage

=== doc/Makefile ===
include ../rules/make.rules

TBZS = ${wildcard *.tbz}
DOTS = ${wildcard *.dot}
DIAS = ${wildcard *.dia}
TEXS = ${wildcard *.tex}

TBUNZIPPEDS = ${TBZS:.tbz=.tbunzipped}
BIBS = ${TEXS:.bib=.bbl}
EPSS = ${DOTS:.dot=.eps} ${DIAS:.dia=.eps}
PDFS = ${EPSS:.eps=.pdf} ${TEXS:.tex=.pdf}

all : doc

doc : ${EPSS} ${PDFS}

clean:
	@rm -f *.dvi *.tbunzipped *.ps *.eps *.log *.aux *.toc *.bbl *.blg *.jpg *.pdf *~ *.ok

edit :
	@echo "Editing sources ...." 
	@xemacs ${TEXS} Makefile &

install: install.ok

install.ok: all ${DOCDIR} ${PDFS}
	@echo "installing ${NAME} files"
	@if [ -n "${PDFS}" ]; then cp ${PDFS} ${DOCDIR}; fi
	@date > $@

${DOCDIR} :
	@echo "creating $@"
	@mkdir -p $@

=== src/python/Makefile ===
include ../../rules/make.rules

NAME = libcommonPython

PYTHONFILES = ${wildcard *.py}

all: # doc

doc: doc.ok

doc.ok: ${PYTHONFILES} ${SRCDOCDIR}/python
	@echo "doing $@"

	@for pythonfile in ${PYTHONFILES}; \
	do \
		gendoc -d ${SRCDOCDIR}/python/ ./$${pythonfile}; \
	done
	@date > $@

install: all copy.ok

copy.ok: ${PYTHONDIR} ${PYTHONFILES}
	@echo "installing ${NAME} files"
	@if [ -n "${PYTHONFILES}" ]; then cp ${PYTHONFILES} ${PYTHONDIR}; fi
	@date > $@

clean:
	@rm -rf *~ *.pyc *.ok

${PYTHONDIR}:
	@echo "creating $@"
	@mkdir -p ${PYTHONDIR}

${SRCDOCDIR}/python:
	@echo "doing $@"
	@mkdir -p $@

=== src/shell/Makefile ===
include ../../rules/make.rules

NAME = shell

SHELLFILES = ${wildcard *.sh} csvck

all: doc

doc: 

install: all copy.ok

copy.ok: ${SHELLDIR} ${SHELLFILES}
	@echo "installing ${NAME} files"
	@if [ -n "${SHELLFILES}" ]; then cp ${SHELLFILES} ${SHELLDIR}; fi
	@date > $@

clean:
	@rm -rf *~ *.ok

${SHELLDIR}:
	@echo "creating $@"
	@mkdir -p ${SHELLDIR}

=== debian/changelog ===
python-libcommon (1.0.4-2) stable; urgency=low

  * add csvck.py to correct csv files with '\n' chars

 -- root <ramon@pimentech.net>  Thu,  3 Oct 2002 15:53:47 +0200

python-libcommon (1.0.4-1) stable; urgency=low

  * cleaner csv.py

 -- root <ramon@pimentech.net>  Fri, 23 Aug 2002 12:18:06 +0200

python-libcommon (1.0.3-2) unstable; urgency=low

  * Added log.flush()

 -- root <ramon@pimentech.net>  Wed, 29 May 2002 13:07:53 +0200

python-libcommon (1.0.3-1) unstable; urgency=low

  * Added smtp mail classes in mail.py

 -- Frederic de ZORZI <fredz@pimentech.net>  Tue, 28 May 2002 15:41:44 +0200

python-libcommon (1.0.2-2) unstable; urgency=low

  * CSV inherits now from Object

 -- root <ramon@pimentech.net>  Fri,  3 May 2002 18:00:55 +0200

python-libcommon (1.0.2-1) unstable; urgency=low

  * Class log (removed exit(2) on log.message())

 -- De zorzi Frederic <fredz@pimentech.net>  Wed, 22 Aug 2001 17:28:36 +0200

python-libcommon (1.0.1-1) unstable; urgency=low

  * Class log (remove system call), Class Object (add __nonzero__ method)

 -- De zorzi Frederic <fredz@pimentech.net>  Mon, 23 Jul 2001 17:09:53 +0200

python-libcommon (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- de ZORZI Frederic <fredz@pimentech.net>  Tue,  3 Jul 2001 21:16:12 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: python-libcommon
Section: devel
Priority: optional
Maintainer: De zorzi Frederic <fredz@pimentech.net>
Build-Depends: debhelper (>> 2.0.0)
Standards-Version: 2.0.86

Package: python-libcommon
Architecture: any
Depends: python
Description: Map, Set and Graph data types for Python
 Map, Set and Graph data types for Python
 Made by PimenTech : http://www.pimentech.net

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/python-libcommon.sgml > python-libcommon.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/python-libcommon.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/python-libcommon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
